API Reference
Expenses
Record and track store expenses.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/expenses API KeyGet expenses
Query parameters
| from string (date-time) | — |
| to string (date-time) | — |
| category string | — |
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/expenses" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/expenses API KeyCreate expenses
Request body
application/json
{
"name": "string",
"amount": 0,
"expenseType": "string",
"category": "string",
"group": "string",
"expenseDate": "2026-06-18T16:11:35.013Z",
"description": "string",
"paymentStatus": "pending",
"paymentMethod": "cash",
"supplierId": "00000000-0000-0000-0000-000000000000"
}| name string | — |
| amount number (double) | — |
| expenseType string | — |
| category string | — |
| group string | — |
| expenseDate string (date-time) | — |
| description string | — |
| paymentStatus PaymentStatus | — |
| paymentMethod PaymentMethod | — |
| supplierId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/expenses" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"amount": 0,
"expenseType": "string",
"category": "string",
"group": "string",
"expenseDate": "2026-06-18T16:11:35.013Z",
"description": "string",
"paymentStatus": "pending",
"paymentMethod": "cash",
"supplierId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/expenses/{id} API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/expenses/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/expenses/{id} API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"amount": 0,
"expenseType": "string",
"category": "string",
"group": "string",
"expenseDate": "2026-06-18T16:11:35.013Z",
"description": "string",
"paymentStatus": "pending",
"paymentMethod": "cash",
"supplierId": "00000000-0000-0000-0000-000000000000"
}| name string | — |
| amount number (double) | — |
| expenseType string | — |
| category string | — |
| group string | — |
| expenseDate string (date-time) | — |
| description string | — |
| paymentStatus PaymentStatus | — |
| paymentMethod PaymentMethod | — |
| supplierId string (uuid) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/expenses/{id}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"amount": 0,
"expenseType": "string",
"category": "string",
"group": "string",
"expenseDate": "2026-06-18T16:11:35.013Z",
"description": "string",
"paymentStatus": "pending",
"paymentMethod": "cash",
"supplierId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/expenses/{id} API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/expenses/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu